Bug 787109 - (CVE-2012-0877) CVE-2012-0877 PyXML: hash table collisions CPU usage DoS (oCERT-2011-003)
CVE-2012-0877 PyXML: hash table collisions CPU usage DoS (oCERT-2011-003)
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140708,repor...
: Security
Depends On:
Blocks: hashdos/oCERT-2011-003 782164
  Show dependency treegraph
 
Reported: 2012-02-03 02:28 EST by Kurt Seifried
Modified: 2016-11-08 11:11 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-16 23:45:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-02-03 02:28:57 EST
However upstream PyXML will still be affected

Juraj Somorovsky reported that certain XML parsers/servers are affected by the
same, or similar, flaw as the hash table collisions CPU usage denial of
service.  Sending a specially crafted message to an XML service can result in
longer processing time, which could lead to a denial of service.  It is
reported that this attack on XML can be applied on different XML nodes (such as
entities, element attributes, namespaces, various elements in the XML security,
etc.).

PyXML is written in Python and makes significant use of arrays. It is unclear if fixing the Python array hash DoS bug (Bz 750555) will completely address this issue however at first glance it would appear to be the case. In other words no action should be neccesary from upstream to correct this.

Additionally our PyXML uses the system expat (from the spec file):

# build PyXML with system expat
# Make sure we don't use local one

which is covered in bug: 787080
Comment 1 Kurt Seifried 2012-02-03 02:31:17 EST
Packages that require PyXML:

SOAPpy-0.11.6-11
subscription-manager-0.96.12-1
Comment 6 Kurt Seifried 2015-01-16 23:45:23 EST
Statement:

This issue affects the versions of xerces as shipped with Red Hat Enterprise Linux 6. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.